Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 7910)
@@ -29,5 +29,4 @@
    USE lib_mpp        ! for mpp_sum  
    USE iom            ! I/O
-   USE wrk_nemo       ! Memory Allocation
    USE timing         ! Timing
 
@@ -151,5 +150,5 @@
       INTEGER :: com_east_b, com_west_b, com_south_b, com_north_b  ! Flags for boundaries receiving
       INTEGER :: iw_b(4), ie_b(4), is_b(4), in_b(4)                ! Arrays for neighbours coordinates
-      REAL(wp), POINTER, DIMENSION(:,:)       ::   zfmask  ! temporary fmask array excluding coastal boundary condition (shlat)
+      REAL(wp), DIMENSION(jpi,jpj)       ::   zfmask  ! temporary fmask array excluding coastal boundary condition (shlat)
       !!
       CHARACTER(LEN=1)                     ::   ctypebdy   !     -        - 
@@ -1217,5 +1216,4 @@
       ! For the flagu/flagv calculation below we require a version of fmask without
       ! the land boundary condition (shlat) included:
-      CALL wrk_alloc(jpi,jpj,  zfmask ) 
       DO ij = 2, jpjm1
          DO ii = 2, jpim1
@@ -1346,5 +1344,4 @@
       IF( nb_bdy>0 )   DEALLOCATE( nbidta, nbjdta, nbrdta )
       !
-      CALL wrk_dealloc(jpi,jpj,   zfmask ) 
       !
       IF( nn_timing == 1 )   CALL timing_stop('bdy_segs')
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 7910)
@@ -25,5 +25,4 @@
    USE fldread        !
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
-   USE wrk_nemo       ! Memory allocation
    USE timing         ! timing
 
@@ -76,5 +75,5 @@
       CHARACTER(len=80)                         ::   clfile              !: full file name for tidal input file 
       REAL(wp),ALLOCATABLE, DIMENSION(:,:,:)    ::   dta_read            !: work space to read in tidal harmonics data
-      REAL(wp), POINTER, DIMENSION(:,:)         ::   ztr, zti            !:  "     "    "   "   "   "        "      " 
+      REAL(wp), DIMENSION(jpi,jpj)         ::   ztr, zti            !:  "     "    "   "   "   "        "      " 
       !!
       TYPE(TIDES_DATA),  POINTER                ::   td                  !: local short cut   
@@ -153,5 +152,4 @@
                ! given on the global domain (ie global, jpiglo x jpjglo)
                !
-               CALL wrk_alloc( jpi,jpj,   zti, ztr )
                !
                ! SSH fields
@@ -203,5 +201,4 @@
                CALL iom_close( inum )
                !
-               CALL wrk_dealloc( jpi,jpj,   ztr, zti ) 
                !
             ELSE            
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/C1D/domc1d.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/C1D/domc1d.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/C1D/domc1d.F90	(revision 7910)
@@ -17,5 +17,4 @@
    USE iom            ! I/O library (iom_get)
    USE in_out_manager ! I/O manager (ctmp1)
-   USE wrk_nemo                      ! Memory allocation
    USE timing                        ! Timing
 
@@ -59,5 +58,5 @@
       REAL(wp) ::  zlam1, zcos_alpha, ze1, ze1deg  ! Case 5 local scalars
       REAL(wp) ::  zphi1, zsin_alpha, zim05, zjm05 !          
-      REAL(wp) , POINTER, DIMENSION(:,:) ::  gphidta, glamdta, zdist ! Global lat/lon
+      REAL(wp) , DIMENSION(jpidta,jpjdta) ::  gphidta, glamdta, zdist ! Global lat/lon
       !!
       NAMELIST/namdom/ nn_bathy, rn_bathy , rn_e3zps_min, rn_e3zps_rat, nn_msh, rn_hmin,   &
@@ -78,5 +77,4 @@
 902   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namdom in configuration namelist', lwp )
 
-      CALL wrk_alloc( jpidta,jpjdta,   gphidta, glamdta, zdist )
 
       ! ============================= !
@@ -187,5 +185,4 @@
       jpjzoom = iloc(2) + njmpp - 2  ! corner index of the zoom domain.
 
-      CALL wrk_dealloc( jpidta,jpjdta,   gphidta, glamdta, zdist )
 
       IF (lwp) THEN
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/C1D/dtauvd.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/C1D/dtauvd.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/C1D/dtauvd.F90	(revision 7910)
@@ -18,5 +18,4 @@
    USE fldread        ! read input fields
    USE lib_mpp        ! MPP library
-   USE wrk_nemo       ! Memory allocation
    USE timing         ! Timing
 
@@ -143,5 +142,5 @@
       INTEGER ::   ik, il0, il1, ii0, ii1, ij0, ij1  ! local integers
       REAL(wp)::   zl, zi                            ! local floats
-      REAL(wp), POINTER, DIMENSION(:) ::  zup, zvp   ! 1D workspace
+      REAL(wp), DIMENSION(jpk) ::  zup, zvp   ! 1D workspace
       !!----------------------------------------------------------------------
       !
@@ -155,5 +154,4 @@
       IF( ln_sco ) THEN                   !==   s- or mixed s-zps-coordinate   ==!
          !
-         CALL wrk_alloc( jpk,   zup, zvp )
          !
          IF( kt == nit000 .AND. lwp )THEN
@@ -191,5 +189,4 @@
          END DO
          ! 
-         CALL wrk_dealloc( jpk,   zup, zvp )
          ! 
       ELSE                                !==   z- or zps- coordinate   ==!
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/C1D/dyndmp.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/C1D/dyndmp.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/C1D/dyndmp.F90	(revision 7910)
@@ -27,5 +27,4 @@
    USE lib_mpp        ! MPP library
    USE prtctl         ! Print control
-   USE wrk_nemo       ! Memory allocation
    USE timing         ! Timing
    USE iom            ! I/O manager
@@ -154,10 +153,9 @@
       INTEGER  ::   ji, jj, jk   ! dummy loop indices
       REAL(wp) ::   zua, zva     ! local scalars
-      REAL(wp), POINTER, DIMENSION(:,:,:,:) ::   zuv_dta   ! Read in data 
+      REAL(wp), DIMENSION(jpi,jpj,jpk,2) ::   zuv_dta   ! Read in data 
       !!----------------------------------------------------------------------
       !
       IF( nn_timing == 1 )  CALL timing_start( 'dyn_dmp' )
       !
-      CALL wrk_alloc( jpi,jpj,jpk,2,   zuv_dta )
       !
       !                           !==   read and interpolate U & V current data at kt   ==!
@@ -225,5 +223,4 @@
          &                           tab3d_2=va(:,:,:), clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
-      CALL wrk_dealloc( jpi,jpj,jpk,2,   zuv_dta )
       !
       IF( nn_timing == 1 )  CALL timing_stop( 'dyn_dmp')
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/CRS/crsdom.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/CRS/crsdom.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/CRS/crsdom.F90	(revision 7910)
@@ -36,5 +36,4 @@
    USE par_kind
    USE crslbclnk
-   USE wrk_nemo       ! work arrays
    USE lib_mpp
 
@@ -352,8 +351,7 @@
       INTEGER  ::   ji, jj, jk , ii, ij, je_2
       REAL(wp) ::   zdAm
-      REAL(wp), DIMENSION(:,:,:), POINTER ::   zvol, zmask      
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zvol, zmask      
       !!----------------------------------------------------------------  
       !
-      CALL wrk_alloc( jpi,jpj,jpk,   zvol, zmask )
       !
       p_fld1_crs(:,:,:) = 0._wp
@@ -445,5 +443,4 @@
       CALL crs_lbc_lnk( p_fld2_crs, cd_type, 1.0 ) 
       !
-      CALL wrk_dealloc( jpi, jpj, jpk, zvol, zmask )
       !
    END SUBROUTINE crs_dom_facvol
@@ -487,5 +484,5 @@
       INTEGER  ::   ii, ij, ijie, ijje, je_2
       REAL(wp) ::   zflcrs, zsfcrs   
-      REAL(wp), DIMENSION(:,:,:), POINTER ::   zsurf, zsurfmsk, zmask  
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zsurf, zsurfmsk, zmask  
       !!----------------------------------------------------------------  
       !
@@ -496,5 +493,4 @@
       CASE ( 'VOL' )
          !
-         CALL wrk_alloc( jpi,jpj,jpk,   zsurf, zsurfmsk )
          !   
          SELECT CASE ( cd_type )
@@ -585,9 +581,7 @@
                END SELECT
 
-              CALL wrk_dealloc( jpi, jpj, jpk, zsurf, zsurfmsk )
 
          CASE ( 'SUM' )
          
-            CALL wrk_alloc( jpi, jpj, jpk, zsurfmsk )
 
             SELECT CASE ( cd_type )
@@ -763,9 +757,7 @@
               ENDIF
 
-              CALL wrk_dealloc( jpi, jpj, jpk, zsurfmsk )
 
          CASE ( 'MAX' )    !  search the max of unmasked grid cells
 
-            CALL wrk_alloc( jpi, jpj, jpk, zmask )
 
             SELECT CASE ( cd_type )
@@ -934,9 +926,7 @@
               END SELECT
 
-              CALL wrk_dealloc( jpi, jpj, jpk, zmask )
 
          CASE ( 'MIN' )      !   Search the min of unmasked grid cells
 
-            CALL wrk_alloc( jpi, jpj, jpk, zmask )
 
             SELECT CASE ( cd_type )
@@ -1104,5 +1094,4 @@
             END SELECT
             !
-            CALL wrk_dealloc( jpi, jpj, jpk, zmask )
             !
          END SELECT
@@ -1149,5 +1138,5 @@
       INTEGER  :: ijie, ijje, ii, ij, je_2
       REAL(wp) :: zflcrs, zsfcrs   
-      REAL(wp), DIMENSION(:,:), POINTER :: zsurfmsk   
+      REAL(wp), DIMENSION(jpi,jpj) :: zsurfmsk   
       !!----------------------------------------------------------------  
       !
@@ -1158,5 +1147,4 @@
         CASE ( 'VOL' )
       
-            CALL wrk_alloc( jpi, jpj, zsurfmsk )
             zsurfmsk(:,:) =  p_e12(:,:) * p_e3(:,:,1) * p_mask(:,:,1)
 
@@ -1222,9 +1210,7 @@
             ENDDO
 
-            CALL wrk_dealloc( jpi, jpj, zsurfmsk )
 
          CASE ( 'SUM' )
          
-            CALL wrk_alloc( jpi, jpj, zsurfmsk )
             IF( PRESENT( p_e3 ) ) THEN
                zsurfmsk(:,:) =  p_e12(:,:) * p_e3(:,:,1) * p_mask(:,:,1)
@@ -1364,5 +1350,4 @@
               ENDIF
 
-              CALL wrk_dealloc( jpi, jpj, zsurfmsk )
 
          CASE ( 'MAX' )
@@ -1644,5 +1629,5 @@
       INTEGER ::  ijie, ijje, ii, ij, je_2
       REAL(wp) :: ze3crs  
-      REAL(wp), DIMENSION(:,:,:), POINTER :: zmask, zsurf   
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zmask, zsurf   
 
       !!----------------------------------------------------------------  
@@ -1652,5 +1637,4 @@
    
 
-       CALL wrk_alloc( jpi, jpj, jpk, zmask, zsurf )
 
        SELECT CASE ( cd_type )
@@ -1756,5 +1740,4 @@
        CALL crs_lbc_lnk( p_e3_max_crs, cd_type, 1.0, pval=1.0 )  
        !              
-       CALL wrk_dealloc( jpi, jpj, jpk, zsurf, zmask )
        !
    END SUBROUTINE crs_dom_e3
@@ -1773,10 +1756,9 @@
       INTEGER  :: ji, jj, jk                   ! dummy loop indices
       INTEGER  :: ii, ij, je_2
-      REAL(wp), DIMENSION(:,:,:), POINTER :: zsurf, zsurfmsk   
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zsurf, zsurfmsk   
       !!----------------------------------------------------------------  
       ! Initialize
 
 
-      CALL wrk_alloc( jpi, jpj, jpk, zsurf, zsurfmsk )
       !
       SELECT CASE ( cd_type )
@@ -1868,5 +1850,4 @@
       CALL crs_lbc_lnk( p_surf_crs_msk, cd_type, 1.0, pval=1.0 )
 
-      CALL wrk_dealloc( jpi, jpj, jpk, zsurfmsk, zsurf )
 
    END SUBROUTINE crs_dom_sfc
@@ -2236,8 +2217,7 @@
       !!  local variables
       INTEGER  :: ji,jj,jk      ! dummy indices
-      REAL(wp), DIMENSION(:,:)  , POINTER :: zmbk
+      REAL(wp), DIMENSION(jpi_crs,jpj_crs)   :: zmbk
       !!----------------------------------------------------------------
    
-      CALL wrk_alloc( jpi_crs, jpj_crs, zmbk )
    
       mbathy_crs(:,:) = jpkm1
@@ -2281,5 +2261,4 @@
       zmbk(:,:) = REAL( mbkv_crs(:,:), wp )   ;   CALL crs_lbc_lnk(zmbk,'V',1.0) ; mbkv_crs  (:,:) = MAX( INT( zmbk(:,:) ), 1 ) 
       !
-      CALL wrk_dealloc( jpi_crs, jpj_crs, zmbk )
       !
    END SUBROUTINE crs_dom_bat
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90	(revision 7910)
@@ -24,5 +24,4 @@
    USE crsdom         ! coarse grid domain
    USE crslbclnk       ! crs mediator to lbclnk
-   USE wrk_nemo        ! Working array
 
 
@@ -70,14 +69,11 @@
       INTEGER           ::   ji, jj, jk   ! dummy loop indices
       !                                   !  workspaces
-      REAL(wp), POINTER, DIMENSION(:,:  ) :: zprt, zprw 
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: zdepu, zdepv
-      REAL(wp), POINTER, DIMENSION(:,:  ) :: ze3tp, ze3wp
+      REAL(wp), DIMENSION(jpi_crs,jpj_crs) :: zprt, zprw 
+      REAL(wp), DIMENSION(jpi_crs,jpj_crs,jpk) :: zdepu, zdepv
+      REAL(wp), DIMENSION(jpi_crs,jpj_crs) :: ze3tp, ze3wp
       !!----------------------------------------------------------------------
       !
       IF( nn_timing == 1 )  CALL timing_start('crs_dom_wri')
       !
-      CALL wrk_alloc( jpi_crs, jpj_crs,      zprt , zprw  )
-      CALL wrk_alloc( jpi_crs, jpj_crs,      ze3tp, ze3wp )
-      CALL wrk_alloc( jpi_crs, jpj_crs, jpk, zdepu, zdepv )
 
       ze3tp(:,:) = 0.0
@@ -298,7 +294,4 @@
       END SELECT
       !
-      CALL wrk_dealloc( jpi_crs, jpj_crs,      zprt , zprw  )
-      CALL wrk_dealloc( jpi_crs, jpj_crs,      ze3tp, ze3wp )
-      CALL wrk_dealloc( jpi_crs, jpj_crs, jpk, zdepu, zdepv )
       !
       IF( nn_timing == 1 )  CALL timing_stop('crs_dom_wri')
@@ -324,10 +317,9 @@
       INTEGER  ::  ji       ! dummy loop indices
       LOGICAL, DIMENSION(SIZE(puniq,1),SIZE(puniq,2),1) ::  lldbl  ! store whether each point is unique or not
-      REAL(wp), POINTER, DIMENSION(:,:) :: ztstref
+      REAL(wp), DIMENSION(jpi_crs,jpj_crs) :: ztstref
       !!----------------------------------------------------------------------
       !
       IF( nn_timing == 1 )  CALL timing_start('crs_dom_uniq_crs')
       !
-      CALL wrk_alloc( jpi_crs, jpj_crs, ztstref )
       !
       ! build an array with different values for each element 
@@ -345,5 +337,4 @@
       puniq(nldi_crs:nlei_crs,nldj_crs:nlej_crs) = REAL( COUNT( lldbl(nldi_crs:nlei_crs,nldj_crs:nlej_crs,:), dim = 3 ) , wp )
       !
-      CALL wrk_dealloc( jpi_crs, jpj_crs, ztstref )
       !
       IF( nn_timing == 1 )  CALL timing_stop('crs_dom_uniq_crs')
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/CRS/crsfld.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/CRS/crsfld.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/CRS/crsfld.F90	(revision 7910)
@@ -25,5 +25,4 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE timing          ! preformance summary
-   USE wrk_nemo        ! working array
 
    IMPLICIT NONE
@@ -59,7 +58,7 @@
       REAL(wp) ::   z2dcrsu, z2dcrsv  ! local scalars
       !
-      REAL(wp), POINTER, DIMENSION(:,:,:) ::   ze3t, ze3u, ze3v, ze3w   ! 3D workspace for e3
-      REAL(wp), POINTER, DIMENSION(:,:,:) ::   zt, zt_crs
-      REAL(wp), POINTER, DIMENSION(:,:,:) ::   zs, zs_crs  
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   ze3t, ze3u, ze3v, ze3w   ! 3D workspace for e3
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zt, zs
+      REAL(wp), DIMENSION(jpi_crs,jpj_crs,jpk) ::   zt_crs, zs_crs  
       !!----------------------------------------------------------------------
       ! 
@@ -67,9 +66,5 @@
 
       !  Initialize arrays
-      CALL wrk_alloc( jpi,jpj,jpk,   ze3t, ze3w )
-      CALL wrk_alloc( jpi,jpj,jpk,   ze3u, ze3v )
-      CALL wrk_alloc( jpi,jpj,jpk,   zt  , zs   )
-      !
-      CALL wrk_alloc( jpi_crs,jpj_crs,jpk,   zt_crs, zs_crs )
+      !
 
       ! Depth work arrrays
@@ -232,8 +227,4 @@
 
       !  free memory
-      CALL wrk_dealloc( jpi,jpj,jpk,   ze3t, ze3w )
-      CALL wrk_dealloc( jpi,jpj,jpk,   ze3u, ze3v )
-      CALL wrk_dealloc( jpi,jpj,jpk,   zt  , zs   )
-      CALL wrk_dealloc( jpi_crs,jpj_crs,jpk,   zt_crs, zs_crs )
       !
       CALL iom_swap( "nemo" )     ! return back on high-resolution grid
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90	(revision 7910)
@@ -22,5 +22,4 @@
    USE in_out_manager
    USE lib_mpp
-   USE wrk_nemo 
    USE timing                   ! Timing
 
@@ -73,5 +72,5 @@
       INTEGER  :: ierr                                ! allocation error status
       INTEGER  ::   ios                 ! Local integer output status for namelist read
-      REAL(wp), DIMENSION(:,:,:), POINTER :: ze3t, ze3u, ze3v, ze3w
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: ze3t, ze3u, ze3v, ze3w
 
       NAMELIST/namcrs/ nn_factx, nn_facty, nn_binref, nn_msh_crs, nn_crs_kz, ln_crs_wn
@@ -183,5 +182,4 @@
      
      !
-     CALL wrk_alloc( jpi,jpj,jpk,   ze3t, ze3u, ze3v, ze3w )
      !
      ze3t(:,:,:) = e3t_n(:,:,:)
@@ -248,5 +246,4 @@
       ! 7. Finish and clean-up
       !---------------------------------------------------------
-      CALL wrk_dealloc( jpi,jpj,jpk,   ze3t, ze3u, ze3v, ze3w )
       !
    END SUBROUTINE crs_init
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diaar5.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diaar5.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diaar5.F90	(revision 7910)
@@ -16,5 +16,4 @@
    USE iom            ! I/O manager library
    USE timing         ! preformance summary
-   USE wrk_nemo       ! working arrays
    USE fldread        ! type FLD_N
    USE phycst         ! physical constant
@@ -76,8 +75,8 @@
       REAL(wp) ::   zaw, zbw, zrw
       !
-      REAL(wp), POINTER, DIMENSION(:,:)     :: zarea_ssh , zbotpres       ! 2D workspace 
-      REAL(wp), POINTER, DIMENSION(:,:)     :: zpe                         ! 2D workspace 
-      REAL(wp), POINTER, DIMENSION(:,:,:)   :: zrhd , zrhop               ! 3D workspace
-      REAL(wp), POINTER, DIMENSION(:,:,:,:) :: ztsn                       ! 4D workspace
+      REAL(wp), DIMENSION(jpi,jpj)     :: zarea_ssh , zbotpres       ! 2D workspace 
+      REAL(wp), DIMENSION(jpi,jpj)     :: zpe                         ! 2D workspace 
+      REAL(wp), DIMENSION(jpi,jpj,jpk)   :: zrhd , zrhop               ! 3D workspace
+      REAL(wp), DIMENSION(jpi,jpj,jpk,jpts) :: ztsn                       ! 4D workspace
       !!--------------------------------------------------------------------
       IF( nn_timing == 1 )   CALL timing_start('dia_ar5')
@@ -86,7 +85,4 @@
 
       IF( l_ar5 ) THEN
-         CALL wrk_alloc( jpi , jpj              , zarea_ssh , zbotpres )
-         CALL wrk_alloc( jpi , jpj , jpk        , zrhd      , zrhop    )
-         CALL wrk_alloc( jpi , jpj , jpk , jpts , ztsn                 )
          zarea_ssh(:,:) = area(:,:) * sshn(:,:)
       ENDIF
@@ -212,5 +208,4 @@
       ! Exclude points where rn2 is negative as convection kicks in here and
       ! work is not being done against stratification
-          CALL wrk_alloc( jpi, jpj, zpe )
           zpe(:,:) = 0._wp
           IF( lk_zdfddm ) THEN
@@ -242,11 +237,7 @@
           CALL lbc_lnk( zpe, 'T', 1._wp)         
           CALL iom_put( 'tnpeo', zpe )
-          CALL wrk_dealloc( jpi, jpj, zpe )
       ENDIF
       !
       IF( l_ar5 ) THEN
-        CALL wrk_dealloc( jpi , jpj              , zarea_ssh , zbotpres )
-        CALL wrk_dealloc( jpi , jpj , jpk        , zrhd      , zrhop    )
-        CALL wrk_dealloc( jpi , jpj , jpk , jpts , ztsn                 )
       ENDIF
       !
@@ -268,9 +259,8 @@
       !
       INTEGER    ::  ji, jj, jk
-      REAL(wp), POINTER, DIMENSION(:,:)  :: z2d
+      REAL(wp), DIMENSION(jpi,jpj)  :: z2d
 
     
 
-      CALL wrk_alloc( jpi, jpj, z2d )
       z2d(:,:) = pua(:,:,1) 
       DO jk = 1, jpkm1
@@ -309,5 +299,4 @@
        ENDIF
           
-       CALL wrk_dealloc( jpi, jpj, z2d )
 
    END SUBROUTINE dia_ar5_hst
@@ -324,5 +313,5 @@
       INTEGER  ::   ji, jj, jk  ! dummy loop indices
       REAL(wp) ::   zztmp  
-      REAL(wp), POINTER, DIMENSION(:,:,:,:) ::   zsaldta   ! Jan/Dec levitus salinity
+      REAL(wp), DIMENSION(jpi,jpj,jpk,jpts) ::   zsaldta   ! Jan/Dec levitus salinity
       !
       !!----------------------------------------------------------------------
@@ -337,5 +326,4 @@
       IF( l_ar5 ) THEN
          !
-         CALL wrk_alloc( jpi , jpj , jpk, jpts, zsaldta )
          !                                      ! allocate dia_ar5 arrays
          IF( dia_ar5_alloc() /= 0 )   CALL ctl_stop( 'STOP', 'dia_ar5_init : unable to allocate arrays' )
@@ -372,5 +360,4 @@
          ENDIF
          !
-         CALL wrk_dealloc( jpi , jpj , jpk, jpts, zsaldta )
          !
       ENDIF
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 7910)
@@ -40,5 +40,4 @@
    USE domvvl
    USE timing          ! preformance summary
-   USE wrk_nemo        ! working arrays
 
    IMPLICIT NONE
@@ -209,6 +208,6 @@
      INTEGER , DIMENSION(1)             :: ish   ! tmp array for mpp_sum
      INTEGER , DIMENSION(3)             :: ish2  !   "
-     REAL(wp), POINTER, DIMENSION(:)    :: zwork !   "  
-     REAL(wp), POINTER, DIMENSION(:,:,:):: zsum  !   "
+     REAL(wp), DIMENSION(itotal)    :: zwork !   "  
+     REAL(wp), DIMENSION(nb_sec_max,nb_type_class,nb_class_max):: zsum  !   "
      !!---------------------------------------------------------------------    
      !
@@ -217,6 +216,4 @@
      IF( lk_mpp )THEN
         itotal = nb_sec_max*nb_type_class*nb_class_max
-        CALL wrk_alloc( itotal                                , zwork ) 
-        CALL wrk_alloc( nb_sec_max,nb_type_class,nb_class_max , zsum  )
      ENDIF    
  
@@ -289,6 +286,4 @@
      IF( lk_mpp )THEN
         itotal = nb_sec_max*nb_type_class*nb_class_max
-        CALL wrk_dealloc( itotal                                , zwork ) 
-        CALL wrk_dealloc( nb_sec_max,nb_type_class,nb_class_max , zsum  )
      ENDIF    
 
@@ -318,10 +313,9 @@
      TYPE(POINT_SECTION),DIMENSION(nb_point_max)  ::coordtemp !contains listpoints coordinates 
                                                               !read in the file
-     INTEGER, POINTER, DIMENSION(:) :: directemp              !contains listpoints directions
+     INTEGER, DIMENSION(nb_point_max) :: directemp              !contains listpoints directions
                                                               !read in the files
      LOGICAL :: llbon                                       ,&!local logical
                 lldebug                                       !debug the section
      !!-------------------------------------------------------------------------------------
-     CALL wrk_alloc( nb_point_max, directemp )
 
      !open input file
@@ -495,5 +489,4 @@
      nb_sec = jsec-1   !number of section read in the file
 
-     CALL wrk_dealloc( nb_point_max, directemp )
      !
   END SUBROUTINE readsec
@@ -521,9 +514,7 @@
                 istart,iend      !first and last points selected in listpoint
      INTEGER :: jpoint           !loop on list points
-     INTEGER, POINTER, DIMENSION(:)   :: idirec !contains temporary sec%direction
-     INTEGER, POINTER, DIMENSION(:,:) :: icoord !contains temporary sec%listpoint
+     INTEGER, DIMENSION(nb_point_max)   :: idirec !contains temporary sec%direction
+     INTEGER, DIMENSION(2,nb_point_max) :: icoord !contains temporary sec%listpoint
      !----------------------------------------------------------------------------
-     CALL wrk_alloc(    nb_point_max, idirec )
-     CALL wrk_alloc( 2, nb_point_max, icoord )
 
      IF( ld_debug )WRITE(numout,*)'      -------------------------'
@@ -575,6 +566,4 @@
      ENDIF
 
-     CALL wrk_dealloc(    nb_point_max, idirec )
-     CALL wrk_dealloc( 2, nb_point_max, icoord )
   END SUBROUTINE removepoints
 
@@ -1019,7 +1008,6 @@
      REAL(wp)              :: zslope             ! section's slope coeff
      !
-     REAL(wp), POINTER, DIMENSION(:):: zsumclasses ! 1D workspace 
+     REAL(wp), DIMENSION(nb_type_class):: zsumclasses ! 1D workspace 
      !!------------------------------------------------------------- 
-     CALL wrk_alloc(nb_type_class , zsumclasses )  
 
      zsumclasses(:)=0._wp
@@ -1133,5 +1121,4 @@
 119   FORMAT(I8,1X,I8,1X,I4,1X,A30,1X,f9.2,1X,I4,3X,A8,1X,2F12.4,5X,3E15.6)
 
-      CALL wrk_dealloc(nb_type_class , zsumclasses )  
       !
    END SUBROUTINE dia_dct_wri
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90	(revision 7910)
@@ -22,5 +22,4 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE timing          ! preformance summary
-   USE wrk_nemo        ! working arrays
 
    IMPLICIT NONE
@@ -226,7 +225,6 @@
       REAL(wp) :: ztime, ztime_ini, ztime_end
       REAL(wp) :: X1,X2
-      REAL(wp), POINTER, DIMENSION(:,:,:,:) :: ana_amp
-      !!--------------------------------------------------------------------
-      CALL wrk_alloc( jpi , jpj , jpmax_harmo , 2 , ana_amp )
+      REAL(wp), DIMENSION(jpi,jpj,jpmax_harmo,2) :: ana_amp
+      !!--------------------------------------------------------------------
 
       IF(lwp) WRITE(numout,*)
@@ -366,5 +364,4 @@
 
       CALL dia_wri_harm ! Write results in files
-      CALL wrk_dealloc( jpi , jpj , jpmax_harmo , 2 , ana_amp )
       !
    END SUBROUTINE dia_harm_end
@@ -427,9 +424,7 @@
       INTEGER                         :: ji_sd, jj_sd, ji1_sd, ji2_sd, jk1_sd, jk2_sd
       REAL(wp)                        :: zval1, zval2, zx1
-      REAL(wp), POINTER, DIMENSION(:) :: ztmpx, zcol1, zcol2
-      INTEGER , POINTER, DIMENSION(:) :: ipos2, ipivot
+      REAL(wp), DIMENSION(jpincomax) :: ztmpx, zcol1, zcol2
+      INTEGER , DIMENSION(jpincomax) :: ipos2, ipivot
       !---------------------------------------------------------------------------------
-      CALL wrk_alloc( jpincomax , ztmpx , zcol1 , zcol2 )
-      CALL wrk_alloc( jpincomax , ipos2 , ipivot        )
             
       IF( init == 1 ) THEN
@@ -518,6 +513,4 @@
       END DO
 
-      CALL wrk_dealloc( jpincomax , ztmpx , zcol1 , zcol2 )
-      CALL wrk_dealloc( jpincomax , ipos2 , ipivot        )
       !
    END SUBROUTINE SUR_DETERMINE
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90	(revision 7910)
@@ -31,5 +31,4 @@
    USE lib_mpp         ! distributed memory computing library
    USE timing          ! preformance summary
-   USE wrk_nemo        ! work arrays
 
    IMPLICIT NONE
@@ -82,9 +81,8 @@
       REAL(wp)   ::   z_wn_trd_t , z_wn_trd_s     !    -     -
       REAL(wp)   ::   z_ssh_hc , z_ssh_sc         !    -     -
-      REAL(wp), DIMENSION(:,:), POINTER ::   z2d0, z2d1
+      REAL(wp), DIMENSION(jpi,jpj) ::   z2d0, z2d1
       !!---------------------------------------------------------------------------
       IF( nn_timing == 1 )   CALL timing_start('dia_hsb')      
       !
-      CALL wrk_alloc( jpi,jpj,   z2d0, z2d1 )
       !
       tsn(:,:,:,1) = tsn(:,:,:,1) * tmask(:,:,:) ; tsb(:,:,:,1) = tsb(:,:,:,1) * tmask(:,:,:) ;
@@ -228,5 +226,4 @@
       IF( lrst_oce )   CALL dia_hsb_rst( kt, 'WRITE' )
       !
-      CALL wrk_dealloc( jpi,jpj,   z2d0, z2d1 )
       !
       IF( nn_timing == 1 )   CALL timing_stop('dia_hsb')
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diatmb.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diatmb.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/DIA/diatmb.F90	(revision 7910)
@@ -12,5 +12,4 @@
    USE in_out_manager  ! I/O units
    USE iom             ! I/0 library
-   USE wrk_nemo        ! working arrays
 
 
@@ -105,9 +104,8 @@
       !!--------------------------------------------------------------------
       REAL(wp) ::   zmdi =1.e+20     ! land value
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: zwtmb    ! workspace 
+      REAL(wp), DIMENSION(jpi,jpj,3) :: zwtmb    ! workspace 
       !!--------------------------------------------------------------------
       !
       IF (ln_diatmb) THEN
-         CALL wrk_alloc( jpi,jpj,3   , zwtmb )
          CALL dia_calctmb(  tsn(:,:,:,jp_tem),zwtmb )
          !ssh already output but here we output it masked
@@ -134,5 +132,4 @@
          CALL iom_put( "bot_v" , zwtmb(:,:,3) )    ! tmb  V Velocity
 !Called in  dynspg_ts.F90       CALL iom_put( "baro_v" , vn_b )    ! Barotropic  V Velocity
-         CALL wrk_dealloc( jpi,jpj,3   , zwtmb )
       ELSE
          CALL ctl_warn('dia_tmb: tmb diagnostic is set to false you should not have seen this')
